Abuse Reports
abuse_reports
Methods
Submit An Abuse Report -> Envelope<string>
post/accounts/{account_id}/abuse-reports/{report_param}
Submit the Abuse Report of a particular type
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
path Parameters
account_id: string
(maxLength: 32) report_param: string
The report type for submitted reports.
Response fields
abuse_rand: string
The identifier for the submitted abuse report.
request: { act }
result: string
The result should be 'success' for successful response
Request example
200Example
Abuse Report Details -> Envelope<{ id, cdate, domain, 7 more... }>
get/accounts/{account_id}/abuse-reports/{report_param}
Retrieve the details of an abuse report.
List Abuse Reports -> V4PagePagination<{ reports }>
get/accounts/{account_id}/abuse-reports
List the abuse reports for a given account
Abuse Reports
Mitigations
abuse_reports.mitigations
Methods
List Abuse Report Mitigations -> V4PagePagination<{ mitigations }>
get/accounts/{account_id}/abuse-reports/{report_id}/mitigations
List mitigations done to remediate the abuse report.
Request Review On Mitigations -> SinglePage<{ id, effective_date, entity_id, 3 more... }>
post/accounts/{account_id}/abuse-reports/{report_id}/mitigations/appeal
Request a review for mitigations on an account.